package com.loveCoding.homework.j20250517;

/**
 * @author WanJl
 * @version 1.0
 * @title T7
 * @description
 * **7. 寻找第二大的数**
 * 要求：找出数组中第二大的元素
 * 示例输入：`{7,3,9,2,9,4}`
 * 示例输出：7
 * @create 2025/5/24
 */
public class T7 {
    public static void main(String[] args) {
        int[] arr={7,3,9,2,9,4};
        int max=arr[0];
        int max2=arr[0];
        for (int i = 0; i < arr.length; i++) {
            if (max<arr[i]){
                max=arr[i];
            }
        }
        for (int i = 0; i < arr.length; i++) {
            if (max2<arr[i]&&arr[i]!=max){
                max2=arr[i];
            }
        }
        System.out.println(max2);
    }
}
